/*******************************************************************************
* File Name: Pin_PIR.h  
* Version 1.70
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Pin_PIR_H) /* Pins Pin_PIR_H */
#define CY_PINS_Pin_PIR_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_PIR_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Pin_PIR_Write(uint8 value) ;
void    Pin_PIR_SetDriveMode(uint8 mode) ;
uint8   Pin_PIR_ReadDataReg(void) ;
uint8   Pin_PIR_Read(void) ;
uint8   Pin_PIR_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Pin_PIR_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Pin_PIR_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Pin_PIR_DM_RES_UP          PIN_DM_RES_UP
#define Pin_PIR_DM_RES_DWN         PIN_DM_RES_DWN
#define Pin_PIR_DM_OD_LO           PIN_DM_OD_LO
#define Pin_PIR_DM_OD_HI           PIN_DM_OD_HI
#define Pin_PIR_DM_STRONG          PIN_DM_STRONG
#define Pin_PIR_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Pin_PIR_MASK               Pin_PIR__MASK
#define Pin_PIR_SHIFT              Pin_PIR__SHIFT
#define Pin_PIR_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_PIR_PS                     (* (reg8 *) Pin_PIR__PS)
/* Data Register */
#define Pin_PIR_DR                     (* (reg8 *) Pin_PIR__DR)
/* Port Number */
#define Pin_PIR_PRT_NUM                (* (reg8 *) Pin_PIR__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_PIR_AG                     (* (reg8 *) Pin_PIR__AG)                       
/* Analog MUX bux enable */
#define Pin_PIR_AMUX                   (* (reg8 *) Pin_PIR__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_PIR_BIE                    (* (reg8 *) Pin_PIR__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_PIR_BIT_MASK               (* (reg8 *) Pin_PIR__BIT_MASK)
/* Bypass Enable */
#define Pin_PIR_BYP                    (* (reg8 *) Pin_PIR__BYP)
/* Port wide control signals */                                                   
#define Pin_PIR_CTL                    (* (reg8 *) Pin_PIR__CTL)
/* Drive Modes */
#define Pin_PIR_DM0                    (* (reg8 *) Pin_PIR__DM0) 
#define Pin_PIR_DM1                    (* (reg8 *) Pin_PIR__DM1)
#define Pin_PIR_DM2                    (* (reg8 *) Pin_PIR__DM2) 
/* Input Buffer Disable Override */
#define Pin_PIR_INP_DIS                (* (reg8 *) Pin_PIR__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_PIR_LCD_COM_SEG            (* (reg8 *) Pin_PIR__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_PIR_LCD_EN                 (* (reg8 *) Pin_PIR__LCD_EN)
/* Slew Rate Control */
#define Pin_PIR_SLW                    (* (reg8 *) Pin_PIR__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_PIR_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_PIR__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_PIR_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_PIR__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_PIR_PRTDSI__OE_SEL0        (* (reg8 *) Pin_PIR__PRTDSI__OE_SEL0) 
#define Pin_PIR_PRTDSI__OE_SEL1        (* (reg8 *) Pin_PIR__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_PIR_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_PIR__PRTDSI__OUT_SEL0) 
#define Pin_PIR_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_PIR__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_PIR_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_PIR__PRTDSI__SYNC_OUT) 


#if defined(Pin_PIR__INTSTAT)  /* Interrupt Registers */

    #define Pin_PIR_INTSTAT                (* (reg8 *) Pin_PIR__INTSTAT)
    #define Pin_PIR_SNAP                   (* (reg8 *) Pin_PIR__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Pin_PIR_H */


/* [] END OF FILE */
